Package org.apache.sling.discovery.impl.standalone

## Class ProviderInfo

- java.lang.Object
- - org.apache.sling.discovery.impl.standalone.ProviderInfo

All Implemented Interfaces:
  `Comparable<ProviderInfo>`

    public class ProviderInfo
    extends Object
    implements Comparable<ProviderInfo>

Internal class caching some provider infos like service id and ranking.

### Field Summary

Fields
`Map<String,​String>` `properties`
`org.apache.sling.discovery.PropertyProvider` `provider`
`int` `ranking`
`long` `serviceId`

### Constructor Summary

Constructors
`ProviderInfo​(org.apache.sling.discovery.PropertyProvider provider, Map<String,​Object> serviceProps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ProviderInfo o)`
`boolean` `equals​(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### provider

    public final org.apache.sling.discovery.PropertyProvider provider

#### ranking

    public final int ranking

#### serviceId

    public final long serviceId

#### properties

    public final Map<String,​String> properties

### Constructor Detail

#### ProviderInfo

    public ProviderInfo​(org.apache.sling.discovery.PropertyProvider provider,
                        Map<String,​Object> serviceProps)

### Method Detail

#### compareTo

    public int compareTo​(ProviderInfo o)

Specified by:
  `compareTo` in interface `Comparable<ProviderInfo>`
See Also:
  `Comparable.compareTo(java.lang.Object)`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`